/**
 * Background Image. 
 * 
 * This example presents the fastest way to load a background image
 * into Processing. To load an image as the background, it must be
 * the same width and height as the program.
 */

PImage bg;
int y;
import processing.serial.*;

Serial myPort;  // Create object from Serial class
int val;        // Data received from the serial port


void setup() {
  size(620, 349);
  // The background image must be the same size as the parameters
  // into the size() method. In this program, the size of the image
  // is 640 x 360 pixels.
  bg = loadImage("F93QKACIPR3K0AF.MEDIUM.jpg");
  String portName = Serial.list()[0];
  myPort = new Serial(this, portName, 9600);
}

void draw() {
  background(bg);
  if (mouseOverRect() == true) {  // If mouse is over square,
                     // change color and
    myPort.write('A');              // send an H to indicate mouse is over square
  } 
  else {                        // If mouse is not over square,
                         // change color and
    myPort.write('a');              // send an L otherwise
  }
         

}
boolean mouseOverRect() { // Test if mouse is over square
  return ((mouseX >= 0) && (mouseX <= 640) && (mouseY >= 0) && (mouseY <= 349));
}